Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.functions.xpath3
Class TrigonometricFn.AsinFn

    java.lang.Object
      net.sf.saxon.lib.ExtensionFunctionDefinition
          com.saxonica.functions.xpath3.TrigonometricFn
              com.saxonica.functions.xpath3.TrigonometricFn.AsinFn

All Implemented Interfaces:
  Serializable

Enclosing class:
  TrigonometricFn

    public static class TrigonometricFn.AsinFn

extends TrigonometricFn

Implement math:asin

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.saxonica.functions.xpath3.TrigonometricFn
`TrigonometricFn.AcosFn, TrigonometricFn.AsinFn, TrigonometricFn.AtanFn, TrigonometricFn.CosFn, TrigonometricFn.Exp10Fn, TrigonometricFn.ExpFn, TrigonometricFn.Log10Fn, TrigonometricFn.LogFn, TrigonometricFn.SinFn, TrigonometricFn.SqrtFn, TrigonometricFn.TanFn`

Constructor Summary
`TrigonometricFn.AsinFn()`

Method Summary
`protected double` | `compute(double input)` The function that does the work, which must be implemented in subclasses
`StructuredQName` | `getFunctionQName()` Get the name of the function, as a QName.

Methods inherited from class com.saxonica.functions.xpath3.TrigonometricFn
`getArgumentTypes, getMaximumNumberOfArguments, getMinimumNumberOfArguments, getResultType, makeCallExpression, trustResultType`

Methods inherited from class net.sf.saxon.lib.ExtensionFunctionDefinition
`dependsOnFocus, hasSideEffects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrigonometricFn.AsinFn

    public TrigonometricFn.AsinFn()

Method Detail

### getFunctionQName

    public StructuredQName getFunctionQName()

  Description copied from class: `ExtensionFunctionDefinition`
  Get the name of the function, as a QName.

  This method must be implemented in all subclasses

  Specified by:
    `getFunctionQName` in class `ExtensionFunctionDefinition`
  Returns:
    the function name

### compute

    protected double compute(double input)

  Description copied from class: `TrigonometricFn`
  The function that does the work, which must be implemented in subclasses

  Specified by:
    `compute` in class `TrigonometricFn`
  Parameters:
    `input` - the input value
  Returns:
    the result

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.